<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
	<ui:define name="head">
		<h:outputStylesheet library="stylesheet" name="resultStyle.css" />
	</ui:define>
	<ui:define name="body">
		<h:form id="globalForm">
			<h1>#{messages['net.ihe.gazelle.xdstar.TestReport']}</h1>
			<rich:messages globalOnly="true" styleClass="message" />
			<s:div id="globalDiv">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThisIdIsNotLinkedToAnExistingMessage']}"
					rendered="#{messageReportManager.selectedMessage == null}" />
				<gri:panel rendered="#{messageReportManager.selectedMessage != null}" pid="globpan">
					<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.MessageTransaction']}</f:facet>
					<h:outputText
						value="#{messages['net.ihe.gazelle.xdstar.ThisTestHasBeenProcessedWith']} #{messageReportManager.selectedMessage.configuration.name} #{messages['net.ihe.gazelle.xdstar.On']} #{messageReportManager.selectedMessage.timeStamp}" />
					<br />
					<s:decorate template="/layout/display/_display.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
						<h:outputText value="#{messageReportManager.selectedMessage.transaction.keyword}" />
					</s:decorate>
					<s:decorate template="/layout/display/_display.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomain_2']}</ui:define>
						<h:outputText value="#{messageReportManager.selectedMessage.affinityDomain.keyword}" />
					</s:decorate>
					<s:decorate template="/layout/display/_display.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Responder']}</ui:define>
						<h:outputText value="#{messageReportManager.selectedMessage.configuration.systemName}" />
					</s:decorate>
					<s:decorate template="/layout/display/_display.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PermanentLink']}</ui:define>
						<h:outputLink
							value="#{messageReportManager.getFullPermanentLink(messageReportManager.selectedMessage)}"
							target="_blank">
							<h:outputText
								value="#{messageReportManager.getFullPermanentLink(messageReportManager.selectedMessage)}" />
						</h:outputLink>
					</s:decorate>
					<gri:tabPanel id="actorTabPanel"
						rendered="#{messageReportManager.selectedMessage != null}"
						activeItem="#{messageReportManager.selectedMessageTab}"
						itemChangeListener="#{messageReportManager.changeTabActiveItem}"
						immediate="false">
						<gri:tab id="Request" 
							rendered="#{not empty messageReportManager.stringRequestContent}"
							head="#{messages['net.ihe.gazelle.xdstar.Request']}">
							<s:div id="button">
								<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ValidateTheRequestMessage']}" styleClass="gzl-btn-green"
									action="#{messageReportManager.validateCurrentMessage('RequestVal')}" render="globpan" />
								<h:commandButton id="downreq" action="#{messageReportManager.downloadRequest()}" styleClass="gzl-btn-blue"
                                                 value="#{messages['net.ihe.gazelle.xdstar.DownloadRequestMessage']}"/>
                                <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}"
									action="#{messageReportManager.validateWithEVSClient(messageReportManager.stringRequestContent)}"
									target="_blank" styleClass="gzl-btn-green" />
							</s:div>
							<s:decorate template="/layout/display/_display.xhtml"
								rendered="#{messageReportManager.selectedMessage.sentMessageContent.httpHeader != null}">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Headers']}</ui:define>
								<h:outputText value="#{messageReportManager.selectedMessage.sentMessageContent.httpHeader}" />
							</s:decorate>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Content_2']}"
                                          style="font-weight:bold;"/>
							<br />
							<gdk:insert id="highlightRequestcontent"
								content="#{messageReportManager.stringRequestContent}" highlight="xml" />
							<br />
							<s:div
								rendered="#{messageReportManager.selectedMessage.sentMessageContent.listAttachments != null and messageReportManager.selectedMessage.sentMessageContent.listAttachments.size() &gt;0}">
                                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Attachments']} "
                                              style="font-weight:bold"/>
								<br />
								<ui:include src="attachmentTable.xhtml">
									<ui:param name="listAttachments"
										value="#{messageReportManager.selectedMessage.sentMessageContent.listAttachments}" />
								</ui:include>
							</s:div>
						</gri:tab>
						<gri:tab id="RequestVal" 
							head="#{messages['net.ihe.gazelle.xdstar.RequestValidation']}">
							<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.RevalidateTheRequestMessage']}" styleClass="gzl-btn-green"
								rendered="#{(not empty messageReportManager.stringRequestValidation)}"
								action="#{messageReportManager.validateCurrentMessage('RequestVal')}" render="globpan" />
							<br />
							<h:outputText value="#{messageReportManager.stringRequestValidation}" escape="false"
								rendered="#{(not empty messageReportManager.stringRequestValidation)}" />
							<h:outputText rendered="#{(empty messageReportManager.stringRequestValidation)}"
								value="#{messages['net.ihe.gazelle.xdstar.ValidationOfTheRequestNotPerformedYet']}" />
							<br />
							<br />
							<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ValidateTheRequestMessage']}" styleClass="gzl-btn-green"
								rendered="#{(empty messageReportManager.stringRequestValidation)}"
								action="#{messageReportManager.validateCurrentMessage('RequestVal')}" render="globpan" />
						</gri:tab>
						<gri:tab id="Response" 
							rendered="#{not empty messageReportManager.stringResponseContent}"
							head="#{messages['net.ihe.gazelle.xdstar.Response']}">
							<s:div id="actionButtons">
								<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ValidateTheResponseMessage']}" styleClass="gzl-btn-green"
									action="#{messageReportManager.validateCurrentMessage('ResponseVal')}" render="globpan" />
								<h:commandButton id="downresp" action="#{messageReportManager.downloadResponse()}" styleClass="gzl-btn-blue"
                                                 value="#{messages['net.ihe.gazelle.xdstar.DownloadResponseMessage']}"/>
                                <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}"
									action="#{messageReportManager.validateWithEVSClient(messageReportManager.stringResponseContent)}"
									target="_blank" styleClass="gzl-btn-green" />
							</s:div>
							<s:decorate template="/layout/display/_display.xhtml"
								rendered="#{messageReportManager.selectedMessage.receivedMessageContent.httpHeader != null}">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Headers']}</ui:define>
								<h:outputText
									value="#{messageReportManager.selectedMessage.receivedMessageContent.httpHeader}" />
							</s:decorate>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Content_2']}"
                                          style="font-weight:bold;"/>
							<br />
							<gdk:insert id="highlightResponsecontent"
								content="#{messageReportManager.stringResponseContent}" highlight="xml" />
							<br />
							<s:div
								rendered="#{messageReportManager.selectedMessage.receivedMessageContent.listAttachments != null and messageReportManager.selectedMessage.receivedMessageContent.listAttachments.size() &gt;0}">
                                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Attachments']} "
                                              style="font-weight:bold"/>
								<br />
								<ui:include src="attachmentTable.xhtml">
									<ui:param name="listAttachments"
										value="#{messageReportManager.selectedMessage.receivedMessageContent.listAttachments}" />
								</ui:include>
							</s:div>
						</gri:tab>
						<gri:tab id="ResponseVal" 
							head="#{messages['net.ihe.gazelle.xdstar.ResponseValidation']}">
							<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.RevalidateTheResponseMessage']}" styleClass="gzl-btn-green"
								rendered="#{(not empty messageReportManager.stringResponseValidation)}"
								action="#{messageReportManager.validateCurrentMessage('ResponseVal')}" render="globpan" />
							<br />
							<h:outputText value="#{messageReportManager.stringResponseValidation}" escape="false"
								rendered="#{(not empty messageReportManager.stringResponseValidation)}" />
							<h:outputText rendered="#{(empty messageReportManager.stringResponseValidation)}"
								value="#{messages['net.ihe.gazelle.xdstar.ValidationOfTheResponseNotPerformedYet']}" />
							<br />
							<br />
							<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ValidateTheResponseMessage']}" styleClass="gzl-btn-green"
								rendered="#{(empty messageReportManager.stringResponseValidation)}"
								action="#{messageReportManager.validateCurrentMessage('ResponseVal')}" render="globpan" />
						</gri:tab>
					</gri:tabPanel>
				</gri:panel>
			</s:div>
		</h:form>
	</ui:define>
</ui:composition>
